<?php
/**
*
* @ This file is created by http://DeZender.Net
* @ deZender (PHP7 Decoder for SourceGuardian Encoder)
*
* @ Version			:	4.1.0.1
* @ Author			:	DeZender
* @ Release on		:	29.08.2020
* @ Official site	:	http://DeZender.Net
*
*/

function real_ip()
{
	$ip = 'undefined';

	if (isset($_SERVER)) {
		$ip = $_SERVER['REMOTE_ADDR'];

		if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		}
		else if (isset($_SERVER['HTTP_CLIENT_IP'])) {
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		}
	}
	else {
		$ip = getenv('REMOTE_ADDR');

		if (getenv('HTTP_X_FORWARDED_FOR')) {
			$ip = getenv('HTTP_X_FORWARDED_FOR');
		}
		else if (getenv('HTTP_CLIENT_IP')) {
			$ip = getenv('HTTP_CLIENT_IP');
		}
	}

	$ip = htmlspecialchars($ip, ENT_QUOTES, 'UTF-8');
	return $ip;
}

session_start();
unset($_SESSION['eggziesibonew3']);
$jsondata111 = file_get_contents('./includes/eggzie.json');
$json111 = json_decode($jsondata111, true);
$col1 = $json111['info'];
$collogname = $col1['b1'];
$collogwel = $col1['b2'];
$col3 = $json111['colours'];
$col4 = $col3['oo'];
$colour_login = $col3['rr'];
$message_fail = '<div class="alert alert-danger" id="success-alert"><center><h4 style="color:dark!important"><i class="icon fa fa-times"></i> Wrong Password!</h4></center></div>';
$message_invalid = '<div class="alert alert-danger" id="success-alert"><center><h4 style="color:dark!important"><i class="icon fa fa-times"></i> Invalid Details!</h4></center></div>';
$db_check1 = new SQLite3('./a/.eggziepanels.db');
$db_check1->exec('CREATE TABLE IF NOT EXISTS USERS(id INT PRIMARY KEY NOT NULL,NAME TEXT,USERNAME TEXT,PASSWORD TEXT,LOGO TEXT)');
$rows = $db_check1->query('SELECT COUNT(*) as count FROM USERS');
$row = $rows->fetchArray();
$numRows = $row['count'];

if ($numRows == 0) {
	$db_check1->exec('INSERT INTO USERS(id,NAME,USERNAME,PASSWORD,LOGO) VALUES(\'1\',\'Your Name\',\'admin\',\'admin\',\'img/ibo.png\')');
	$db_check1->exec('INSERT INTO USERS(id,NAME,USERNAME,PASSWORD,LOGO) VALUES(\'2\',\'ADMIN\',\'adminuser28\',\'adminpass28\',\'img/ibo.png\')');
}

$res_login = $db_check1->query('SELECT * ' . "\n\t\t\t\t" . '  FROM USERS ' . "\n\t\t\t\t" . '  WHERE id=\'1\'');
$row_login = $res_login->fetchArray();
$name_login = $row_login['NAME'];
$logo_login = $row_login['LOGO'];

if (isset($_POST['login'])) {
	if (!$db_check1) {
		echo $db_check1->lastErrorMsg();
	}

	$sql_check = 'SELECT * from USERS where USERNAME="' . $_POST['username'] . '"';
	$ret_check = $db_check1->query($sql_check);

	while ($row_check = $ret_check->fetchArray()) {
		$id_check = $row_check['id'];
		$NAME = $row_check['NAME'];
		$username_check = $row_check['USERNAME'];
		$password_check = $row_check['PASSWORD'];
		$LOGO_check = $row_check['LOGO'];
	}

	if (empty($id_check)) {
		header('Location: login.php?error');
	}
	else if ($password_check == $_POST['password']) {
		$_SESSION['eggziesibonew3'] = true;
		$_SESSION['N'] = $id_check;
		$_SESSION['id'] = $id_check;

		if ($id_check == '2') {
			header('Location: admin.php');
		}
		else {
			header('Location: dashboard.php');
		}
	}
	else {
		header('Location: login.php?erro');
	}

	$db_check1->close();
	exit();
}

$date = date('d-m-Y H:i:s');
$IPADDRESS = real_ip();
$db1 = new SQLite3('./a/.logs.db');
$db1->exec('CREATE TABLE IF NOT EXISTS logs(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, date datetime, ipaddress TEXT)');
$db1->exec('INSERT INTO logs(date,ipaddress) VALUES(\'' . $date . '\',\'' . $IPADDRESS . '\')');
$db2 = new SQLite3('./a/.eggziedb.db');
$db2->exec('CREATE TABLE IF NOT EXISTS ibo(id INTEGER PRIMARY KEY NOT NULL,mac_address VARCHAR(100),username VARCHAR(100),password VARCHAR(100),expire_date VARCHAR(100),url VARCHAR(100),title VARCHAR(100),created_at VARCHAR(100),is_blocked VARCHAR(10))');
$db2->exec('CREATE TABLE IF NOT EXISTS portals(id INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL, name VARCHAR(100), url VARCHAR(100))');
echo '<!DOCTYPE html>' . "\n";
echo "\n";
echo '<head>' . "\n";
echo '    <meta charset="utf-8">' . "\n";
echo '    <meta http-equiv="X-UA-Compatible" content="IE=edge">' . "\n";
echo '    <meta name="viewport" content="width=device-width, initial-scale=1">' . "\n";
echo '    <title>Login</title>' . "\n";
echo '    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">' . "\n";
echo '    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">' . "\n";
echo '    <link href="css/sb-admin-2.css" rel="stylesheet">' . "\n";
echo '    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">' . "\n";
echo '    <link rel="icon" href="favicon.ico" type="image/x-icon">' . "\n";
echo '</head>' . "\n";
echo "\t" . '<body class="bg-egg">' . "\n";
echo '<html>' . "\n";
echo '  <div class="wrapper ">' . "\n";

if (isset($_GET['error'])) {
	echo $message_invalid;
}

if (isset($_GET['erro'])) {
	echo $message_fail;
}

echo '  <br><br><br>' . "\n";
echo "\t" . '<div class="container" style="margin-top:30px">' . "\n";
echo "\t" . '    <div style="width:400px; margin:0 auto;">' . "\n";
echo "\t\t" . '<div class="row">' . "\n";
echo "\t\t\t" . '<div class="center">' . "\n";
echo '                          <center><img src="' . $logo_login . '" width="100" height="100" class="center" alt=""></a></center>' . "\n";
echo "\t\t\t\t" . '<br>' . "\n";
echo "\t\t\t" . '    <h3 class="text-center" style="color:' . $colour_login . ';"><strong>' . $collogname . '</strong></h3>' . "\n";
echo "\t\t\t" . '    <h3 class="text-center" style="color:' . $colour_login . ';">' . $name_login . '</h3>' . "\n";
echo "\t\t\t\t" . '<h5 class="text-center" style="color:' . $colour_login . ';">' . $collogwel . '</h5>' . "\n";
echo "\t\t\t\t" . '<br>' . "\n";
echo "\t\t\t\t" . '<div>' . "\n";
echo "\t\t\t\t" . '    <div style="width:400px; margin:0 auto;">' . "\n";
echo "\t\t\t\t\t" . '<form method="post">' . "\n";
echo "\t\t\t\t\t" . '<input type="text" class="form-control" placeholder="Username" name="username" required autofocus><br>' . "\n";
echo "\t\t\t\t\t" . '<input type="password" class="form-control" placeholder="Password" name="password" required><br>' . "\n";
echo "\t\t\t\t\t" . '<button class="btn btn-lg btn btn-primary btn-block" name="login" type="submit">Sign in</button>' . "\n";
echo "\t\t\t\t\t" . '</form>' . "\n";
echo "\t\t\t\t" . '</div>' . "\n";
echo "\t\t\t" . '<div class="card-body">' . "\n";
echo "\t\t\t\t" . '<div class="panel-body">' . "\n";
echo "\t\t\t\t" . '<p class="text-center" style="color:' . $colour_login . ';">Time Of Arrival: ';
echo "\t\t\t\t" . '<class="text-center" style="color:' . $colour_login . ';" id="current-time-now" data-start="' . time();
echo ' "</p>' . "\n";
echo "\t\t\t\t" . '<p class="text-center" style="color:' . $colour_login . ';">IP Address: <i>' . real_ip() . '</i></p>' . "\n";
echo "\t\t\t" . '</div>' . "\n";
echo "\t\t\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '</div>' . "\n";
echo "\t" . '<script src="vendor/jquery/jquery.min.js"></script>' . "\n";
echo "\t" . '<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>' . "\n";
echo "\t" . '<script src="vendor/jquery-easing/jquery.easing.min.js"></script>' . "\n";
echo "\t" . '<script src="js/sb-admin-2.min.js"></script>' . "\n";
echo "\n";
echo '<style>' . "\n";
echo '.bg-egg {' . "\n";
echo '  background-color: ' . $col4 . ';' . "\n";
echo '  background-size: cover;' . "\n";
echo '}' . "\n";
echo '</style>' . "\n";
include 'includes/functions.php';
require 'includes/egz.php';
echo '<script>' . "\n";
echo '    var freshTime = new Date(parseInt($(\'#current-time-now\').attr(\'data-start\'))*1000);' . "\n";
echo '    var func = function myFunc() {' . "\n";
echo '        $(\'#current-time-now\').text(freshTime.toLocaleTimeString());' . "\n";
echo '        freshTime.setSeconds(freshTime.getSeconds() + 1);' . "\n";
echo '        setTimeout(myFunc, 1000);' . "\n";
echo '    };' . "\n";
echo '    func();' . "\n";
echo '</script>';
echo '</body>' . "\n";
echo "\n";
echo '</html>' . "\n";

?>